<template>
    <Page>
        <ScrollView>
            <StackLayout class="margin">
                <Label 
                    text="Imagen" 
                    :style="{'text-align': 'center'}" >
                </Label>
                <StackLayout>    
                    <Image 
                    :src="item.foto" 
                    height="40%" 
                    width="100%"/>
                </StackLayout>
                <Label 
                    text="Descripcion" 
                    :style="{'text-align': 'center'}" >
                </Label>
                <Label 
                    :text="item.nombre" 
                    :style="{'text-align': 'center'}" 
                    textWrap="true">
                </Label>
                <StackLayout orientation="horizontal">
                    <Button @tap="$modal.close(false)" text="Cancelar"/>
                    <Button @tap="eliminarFoto()" text="Eliminar"/>                    
                </StackLayout>
            </StackLayout>
        </ScrollView>
    </Page>
</template>

<script>
import axios from 'axios';
import { urlApi } from '../../main'

export default {
    props: ['item'],
    data(){
        return{
        }
    },
    methods:{
        eliminarFoto(){
            console.log(this.item.id);
            axios.delete(urlApi+`/api/v1/mtto/photos-logs/${this.item.id}/delete-photo`)
            .then(data =>{
                console.log('dato eliminado: ',data.nombre);
                this.$modal.close(true);
            })
            .catch(err => {
                console.log("Error -> " + err.message);
            });
        }
    }
}
</script>

<style scoped>
    .margin{
        margin-left: 20;
        margin-right: 20;
        margin-bottom: 20;
        margin-top: 20;
    }
</style>

